package com.zxbw.modulemain.contract

import android.app.Activity
import com.zxhl.cms.net.model.box.AppInEntity
import com.zxhl.cms.net.model.uc.AliPayEntity
import com.zxhl.cms.net.model.uc.WeChatPayEntity
import com.zxhl.cms.net.model.video.MemberEntity

/**
 * Created by gaoleichao on 2021/8/31
 */
class RightsPayContract {


    interface View {

        fun requestOrderSuc(result: AliPayEntity)
        fun requestOrderSuc(result: WeChatPayEntity)
        fun requestOrderFail(errorMsg: String)

        fun verifyOrderSuc(order: String)

        fun verifyOrderFail(errorMsg: String)

    }

    interface Presenter {
        fun requestRightsAliPay(jumpScheme: String, goodsId: String, payType: String, phone: String)

        fun verifyPay(order: String?, payType: Int)
    }

}